summaryrefslogtreecommitdiffstats
path: root/source/a/coreutils/coreutils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/coreutils/coreutils.SlackBuild')
-rwxr-xr-xsource/a/coreutils/coreutils.SlackBuild33
1 files changed, 16 insertions, 17 deletions
diff --git a/source/a/coreutils/coreutils.SlackBuild b/source/a/coreutils/coreutils.SlackBuild
index a085e605f..e37d49cf5 100755
--- a/source/a/coreutils/coreutils.SlackBuild
+++ b/source/a/coreutils/coreutils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,6 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=coreutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
BUILD=${BUILD:-2}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -65,19 +74,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-if [ -r $CWD/$PKGNAM-$VERSION.tar.gz ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.bz2 ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.xz ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.lzma ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.lzma || exit 1
-else
- exit 1
-fi
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
-cd $PKGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -111,10 +110,10 @@ DEFAULT_POSIX2_VERSION=199209 \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--without-gmp \
--enable-install-program=arch \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null